Next: BLE, Previous: BGT, Up: Intrinsic Procedures [Contents][Index]

### 9.44 `BIT_SIZE` — Bit size inquiry function

Description:

  `BIT_SIZE(I)` returns the number of bits (integer precision plus sign bit) represented by the type of I. The result of `BIT_SIZE(I)` is independent of the actual value of I.

Standard:

  Fortran 95 and later

Class:

  Inquiry function

Syntax:

  `RESULT = BIT_SIZE(I)`

Arguments:

  I | The type shall be `INTEGER`.

Return value:

  The return value is of type `INTEGER`

Example:

      program test_bit_size
          integer :: i = 123
          integer :: size
          size = bit_size(i)
          print *, size
      end program test_bit_size